.main-layout
  position: relative
  min-height: 100vh
  display: flex
  flex-direction: column
  justify-content: space-between

header.header
  height: 24vw
  background-color: $bg-menu
  background-repeat: no-repeat
  background-size: cover
  color: $color-menu-link
  .main-logo
    width: $aside-width
    display: flex
    flex-direction: column
    align-items: center
    margin: 25px 0
    cursor: pointer
    user-select: none
    &__image-wrapper
      width: 120px
      height: 80px
      background-repeat: no-repeat
      background-size: contain
      background-position: center
    &__name-image-wrapper
      width: 180px
      height: 55px
      background-repeat: no-repeat
      background-size: contain
      background-position: center
      margin: 10px 0
    &__phone-image-wrapper
      width: 180px
      height: 55px
      background-repeat: no-repeat
      background-size: contain
      background-position: center

nav.nav
  position: sticky
  top: 0
  height: 50px
  display: flex
  align-items: center
  background-color: $bg-menu
  color: $color-menu-link
  .nav-inner-wrapper
    display: flex
    align-items: center
    justify-content: space-between
    .main-nav
      flex: 1
      display: flex
      align-items: center
      &__aside
        width: $aside-width
        min-width: $aside-width
      &__user
        font-size: 1.25rem
        cursor: pointer
        transition: color 0.15s ease
        &:hover
          color: $color-gold
      & > a
        color: $color-menu-link
        text-decoration: none
        padding: 10px 25px
        cursor: pointer
        border-right-width: 2px
        border-right-style: solid
        border-image: linear-gradient( to bottom, rgba(0, 0, 0, 0), $color-menu-link, rgba(0, 0, 0, 0) ) 1
        transition: color 0.15s ease
        &:hover
          color: $color-gold
        &.active
          color: $color-gold
          cursor: default
        &:last-child
          border-right: none

.main-content
  display: flex
  flex-direction: row
  flex: 1

aside.aside
  width: $aside-width
  min-width: $aside-width
  background: $bg-menu

main.main
  flex: 1
  color: $color-text
  padding: 25px 0 25px 25px

footer.footer
  display: flex
  align-items: center
  height: 8vw
  background-color: $bg-menu
  background-repeat: no-repeat
  background-size: cover
  color: $color-menu-link
  .footer__inner-wrapper
    display: flex
    align-items: center
    justify-content: center
